@import "sass/variables";
@import "sass/mixins";
@import "sass/fonts";
@import "sass/icons";
@import "sass/components";
@import "sass/toolbar";
@import "sass/tabs";
@import "sass/cards";
@import "sass/menu";
@import "sass/login";

/* =====  COMMON STYLES  ======== */

body {
    font-size: 62.5%;
    padding: 0;
    margin: 0;
    font-family: $body-font;
    font-weight: $normal-font-weight;
    @include font-size(18px);
}


a {
    text-decoration: none;
    &:hover,
    &:focus {
        text-decoration: none;
    }
}

.no-padding {
    padding: 0;
}

.no-margin {
    margin: 0;
}

.full-width {
    width: 100%;
}

.list-inline {
    padding-left: 0;
    list-style: none;
    margin: 0;
}

md-ink-bar {
    background-color: $color-red;
}

img {
    max-width: 100%;
    height: auto;
    display: block;
}

// ====  PRELOADER  ====
@keyframes clockwise {
    to {
        transform: rotate(360deg) translatez(0);
    }
}

.preload-wrapper {
    height: 90vh;
    .preload {
        margin-top: 10px;
        height: 50px;
        width: 50px;
        border-width: 6px;
        border-style: solid;
        border-color: transparent transparent transparent $color-secondary-gray;
        border-radius: 100%;
        animation: clockwise 1s linear infinite;
    }
}

// ====================
